# CliMetLab

[![PyPI version fury.io](https://badge.fury.io/py/climetlab.svg)](https://pypi.python.org/pypi/climetlab/)
[![PyPI pyversions](https://img.shields.io/pypi/pyversions/climetlab.svg)](https://pypi.python.org/pypi/climetlab/)

**CliMetLab** is a Python package aiming at simplifying access to climate and meteorological datasets, allowing users to focus on science instead of
technical issues such as data access and data formats. It is mostly intended to be used in Jupyter notebooks, and be interoperable with all popular
data analytic packages, such as Numpy, Pandas, Xarray, SciPy, Matplotlib, etc. and well as machine learning frameworks, such as Tensorflow, Keras or PyTorch.

The documentation can be found at <https://climetlab.readthedocs.io/>.

### Plugins

- [climetlab-s2s-ai-challenge](https://github.com/ecmwf-lab/climetlab-s2s-ai-challenge) : data for the 2021 S2S competition.
- [climetlab-datasets](https://github.com/ecmwf-lab/climetlab-datasets) : Example dataset plugin.
- [climetlab-meteonet](https://github.com/ecmwf-lab/climetlab-meteonet) : Meteonet data (WIP).


### License
[Apache License 2.0](LICENSE) In applying this licence, ECMWF does not waive the privileges and immunities 
granted to it by virtue of its status as an intergovernmental organisation nor does it submit to any jurisdiction.

 
